Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000417Core InformSource text and punctuationpublic2010-11-16 10:542014-05-07 07:33
ReporterPoster 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.5
Product Version6F95 
Target VersionFixed in Version6L02 
Summary0000417: Nested rule headings are accepted
DescriptionThis malformed source text compiles without error.
Minimal Source Text To Reproduce
There is a room.
Every turn:
	Every turn:
		stop.
Additional InformationThe seemingly nested rule actually terminates the first:

! No specific request
! Every turn:
[ R_740 ;
   rfalse;
];
! No specific request
! Every turn:
[ R_741 ;
      ! phrase 1
      ! [1: stop]
       return;
   rfalse;
];
TagsNo tags attached.
Effect(mild) Compiler accepts invalid code
Attached Files

- Relationships
has duplicate 0000682closed Rule definition is allowed inside other rules 
has duplicate 0000988closed Compiler accepts blank rule when it shouldn't 

-  Notes
(0001205)
EmacsUser (manager)
2011-06-28 08:55

See 0000682 for more examples.
(0002542)
graham (administrator)
2014-03-09 13:43

A problem message now catches this.

- Issue History
Date Modified Username Field Change
2010-11-16 10:54 EmacsUser New Issue
2010-11-16 10:54 EmacsUser Issue generated from 0000411
2010-11-16 10:55 EmacsUser Reporter EmacsUser => Poster
2010-11-16 11:00 EmacsUser Status new => confirmed
2010-11-16 11:00 EmacsUser Summary Unhelpful error message for ``at the time that'' rather than ``at the time when'' => Nested rule headings are accepted
2010-11-16 11:00 EmacsUser Description Updated View Revisions
2010-11-16 11:00 EmacsUser Steps to Reproduce Updated View Revisions
2010-11-16 11:04 EmacsUser Additional Information Updated View Revisions
2011-06-28 08:55 EmacsUser Note Added: 0001205
2011-06-28 08:56 EmacsUser Relationship added has duplicate 0000682
2012-08-10 17:08 EmacsUser Relationship added has duplicate 0000988
2014-03-09 13:43 graham Note Added: 0002542
2014-03-09 13:43 graham Status confirmed => resolved
2014-03-09 13:43 graham Resolution open => fixed
2014-03-09 13:43 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker